
Redmine - Patch #37851

Add missing fixture to test/integration/issue_test.rb

2022-10-27 18:20 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

On a clean setup one test fails due to error:

Failure:

IssuesTest#test_issue_attachments [/home/makurin/Work/redmine/test/test_helper.rb:224]:

Expected response to be a <3XX: redirect>, but was a <200: OK>

 Log doesn't show exact why but it is a validation error on issue Issue category is not included in the list.

Reproducing by resetting test database and running tests in single file:

RAILS_ENV=test TEST=test/integration/issues_test.rb bundle exec rake db:reset test

After adding issue_categories fixture test passes.

diff --git a/test/integration/issues_test.rb b/test/integration/issues_test.rb

index 2895f4985..ba55b46fb 100644

--- a/test/integration/issues_test.rb

+++ b/test/integration/issues_test.rb

@@ -34,7 +34,8 @@ class IssuesTest < Redmine::IntegrationTest

            :custom_fields,

            :custom_values,

            :custom_fields_trackers, :custom_fields_projects,

-           :attachments

+           :attachments,

+           :issue_categories

   # create an issue

   def test_add_issue

Associated revisions

Revision 21932 - 2022-10-29 10:24 - Go MAEDA

Add missing fixture to test/integration/issue_test.rb (#37851).

Patch by Dmitry Makurin.

History

#1 - 2022-10-28 01:52 - Go MAEDA

- Tracker changed from Defect to Patch

- Category set to Code cleanup/refactoring

- Target version set to 5.1.0

#2 - 2022-10-29 10:24 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.
